Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.agent
Class AgentSocketChannel

    java.lang.Object
      com.sshtools.j2ssh.connection.Channel
          com.sshtools.j2ssh.connection.SocketChannel
              com.sshtools.j2ssh.agent.AgentSocketChannel

public class AgentSocketChannel
extends SocketChannel

DOCUMENT ME!

Field Summary
`static java.lang.String` | `AGENT_FORWARDING_CHANNEL` DOCUMENT ME!

Fields inherited from class com.sshtools.j2ssh.connection.SocketChannel
`socket`

Fields inherited from class com.sshtools.j2ssh.connection.Channel
`connection, localChannelId, localPacketSize, localWindow, remoteChannelId, remotePacketSize, remoteWindow, state`

Constructor Summary
`AgentSocketChannel(boolean isForwarding)` Creates a new AgentSocketChannel object.

Method Summary
`byte[]` | `getChannelConfirmationData()` DOCUMENT ME!
`byte[]` | `getChannelOpenData()` DOCUMENT ME!
`java.lang.String` | `getChannelType()` DOCUMENT ME!
`protected int` | `getMaximumPacketSize()` DOCUMENT ME!
`protected int` | `getMaximumWindowSpace()` DOCUMENT ME!
`protected int` | `getMinimumWindowSpace()` DOCUMENT ME!
`protected void` | `onChannelOpen()` DOCUMENT ME!
`protected void` | `onChannelRequest(java.lang.String requestType, boolean wantReply, byte[] requestData)` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.connection.SocketChannel
`bindSocket, onChannelClose, onChannelData, onChannelEOF, onChannelExtData`

Methods inherited from class com.sshtools.j2ssh.connection.Channel
`addEventListener, close, finalizeClose, getLocalChannelId, getLocalPacketSize, getLocalWindow, getName, getRemoteChannelId, getRemotePacketSize, getRemoteWindow, getState, init, init, isClosed, isLocalEOF, isOpen, isRemoteEOF, open, processChannelData, processChannelData, remoteClose, sendChannelData, sendChannelExtData, setLocalEOF, setName, setRemoteEOF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGENT_FORWARDING_CHANNEL

    public static final java.lang.String AGENT_FORWARDING_CHANNEL

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### AgentSocketChannel

    public AgentSocketChannel(boolean isForwarding)

  Creates a new AgentSocketChannel object.

Parameters:
  `isForwarding` - DOCUMENT ME!

Method Detail

### getChannelType

    public java.lang.String getChannelType()

  DOCUMENT ME!

  Specified by:
    `getChannelType` in class `Channel`
  Returns:
    DOCUMENT ME!

### onChannelRequest

    protected void onChannelRequest(java.lang.String requestType,
                                    boolean wantReply,
                                    byte[] requestData)
                             throws java.io.IOException

  Description copied from class: `Channel`
  DOCUMENT ME!

  Specified by:
    `onChannelRequest` in class `Channel`
  Parameters:
    `requestType` - DOCUMENT ME!
    `wantReply` - DOCUMENT ME!
    `requestData` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getMaximumPacketSize

    protected int getMaximumPacketSize()

  DOCUMENT ME!

  Specified by:
    `getMaximumPacketSize` in class `Channel`
  Returns:
    DOCUMENT ME!

### getChannelOpenData

    public byte[] getChannelOpenData()

  Description copied from class: `Channel`
  DOCUMENT ME!

  Specified by:
    `getChannelOpenData` in class `Channel`
  Returns:
    DOCUMENT ME!

### getMinimumWindowSpace

    protected int getMinimumWindowSpace()

  DOCUMENT ME!

  Specified by:
    `getMinimumWindowSpace` in class `Channel`
  Returns:
    DOCUMENT ME!

### onChannelOpen

    protected void onChannelOpen()
                          throws InvalidChannelException

  DOCUMENT ME!

  Overrides:
    `onChannelOpen` in class `SocketChannel`
  Throws:
    `InvalidChannelException` - DOCUMENT ME!
    `InvalidChannelException` - DOCUMENT ME!

### getMaximumWindowSpace

    protected int getMaximumWindowSpace()

  DOCUMENT ME!

  Specified by:
    `getMaximumWindowSpace` in class `Channel`
  Returns:
    DOCUMENT ME!

### getChannelConfirmationData

    public byte[] getChannelConfirmationData()

  DOCUMENT ME!

  Specified by:
    `getChannelConfirmationData` in class `Channel`
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD